CoffeeScriptCompile (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.plugins.javascript.coffeescript

## Class CoffeeScriptCompile

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.plugins.javascript.coffeescript.CoffeeScriptCompile

- All Implemented Interfaces:
    `PatternFilterable`
  Direct Known Subclasses:
    `PlayCoffeeScriptCompile`

      public class CoffeeScriptCompile
      extends SourceTask

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CoffeeScriptCompile​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doCompile​()` |
    `FileCollection` | `getCoffeeScriptJs​()` |
    `java.io.File` | `getDestinationDir​()` |
    `CoffeeScriptCompileOptions` | `getOptions​()` |
    `FileCollection` | `getRhinoClasspath​()` |
    `FileTree` | `getSource​()` | Returns the source for this task, after the include and exclude patterns have been applied.
    `protected org.gradle.process.internal.worker.WorkerProcessFactory` | `getWorkerProcessBuilderFactory​()` |
    `void` | `options​(groovy.lang.Closure<?> closure)` |
    `void` | `options​(Action<CoffeeScriptCompileOptions> action)` |
    `void` | `setCoffeeScriptJs​(java.lang.Object coffeeScriptJs)` |
    `void` | `setCoffeeScriptJs​(FileCollection coffeeScriptJs)` | Sets Coffee Script Javascript file.
    `void` | `setDestinationDir​(java.io.File destinationDir)` | Sets destination directory.
    `void` | `setDestinationDir​(java.lang.Object destinationDir)` |
    `void` | `setRhinoClasspath​(java.lang.Object rhinoClasspath)` |
    `void` | `setRhinoClasspath​(FileCollection rhinoClasspath)` | Sets Rhino classpath.

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, include, include, include, include, setExcludes, setIncludes, setSource, setSource, source`

- - ### Constructor Detail

    - #### CoffeeScriptCompile

          public CoffeeScriptCompile​()

  - ### Method Detail

    - #### getWorkerProcessBuilderFactory

          @Inject
          protected org.gradle.process.internal.worker.WorkerProcessFactory getWorkerProcessBuilderFactory​()

    - #### getSource

          @PathSensitive(RELATIVE)
          public FileTree getSource​()

      Returns the source for this task, after the include and exclude patterns have been applied. Ignores source files which do not exist.

      The `PathSensitivity` for the sources is configured to be `PathSensitivity.ABSOLUTE`. If your sources are less strict, please change it accordingly by overriding this method in your subclass.

      Overrides:
        `getSource` in class `SourceTask`
      Returns:
        The source.

    - #### getCoffeeScriptJs

          @PathSensitive(RELATIVE)
          @InputFiles
          public FileCollection getCoffeeScriptJs​()

    - #### setCoffeeScriptJs

          public void setCoffeeScriptJs​(FileCollection coffeeScriptJs)

      Sets Coffee Script Javascript file.
      Since:
        4.0

    - #### setCoffeeScriptJs

          public void setCoffeeScriptJs​(java.lang.Object coffeeScriptJs)

    - #### getRhinoClasspath

          @Classpath
          public FileCollection getRhinoClasspath​()

    - #### setRhinoClasspath

          public void setRhinoClasspath​(FileCollection rhinoClasspath)

      Sets Rhino classpath.
      Since:
        4.0

    - #### setRhinoClasspath

          public void setRhinoClasspath​(java.lang.Object rhinoClasspath)

    - #### getDestinationDir

          @OutputDirectory
          public java.io.File getDestinationDir​()

    - #### setDestinationDir

          public void setDestinationDir​(java.io.File destinationDir)

      Sets destination directory.
      Since:
        4.0

    - #### setDestinationDir

          public void setDestinationDir​(java.lang.Object destinationDir)

    - #### getOptions

          public CoffeeScriptCompileOptions getOptions​()

    - #### options

          public void options​(Action<CoffeeScriptCompileOptions> action)

    - #### options

          public void options​(groovy.lang.Closure<?> closure)

    - #### doCompile

          public void doCompile​()